﻿using System;
using TheGameExtreme.model.card;

namespace TheGameExtreme.model.@event
{
    public class TopRangeChangedEventArgs : EventArgs
    {

        public Card NewTopRangeCard { get; set; }
        public Card OldTopRangeCard { get; set; }
        public int NumStackChanged { get; set; }

        public TopRangeChangedEventArgs(Card newTopRangeCard, Card oldTopRangeCard, int numStackChanged)
        {
            NewTopRangeCard = newTopRangeCard;
            OldTopRangeCard = oldTopRangeCard;
            NumStackChanged = numStackChanged;
        }
    }
}
